%define oname   miniplayer
Name:           plasma-applet-miniplayer
Summary:        Plasmoid to play multimedia using Phonon with basic functionality
Version:        0.9.5
Release:        %mkrel 7
Url:            http://kde-look.org/content/show.php/Mini+Player?content=95501
License:        GPL
Group:          Graphical desktop/KDE4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        95501-%{oname}-%{version}.tar.xz
BuildRequires:  rpmlib(CompressedFileNames) <= 3.0.4-1
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
Plasmoid to play multimedia using Phonon with basic functionality (including play lists support).
Developed and tested on KDE 4.1.2 

Warning!
Video output is not always working (only sound for movies) for unknown reason (maybe Phonon fault).

Features:
- basic actions - play / pause, stop and open;
- basic play lists support;
- possibility to start playback of last used play list on startup;
- video settings (brightness, contrast, hue, saturation);
- video position slider;
- volume slider and mute option;
- drag and drop support;
- control buttons are hidden when in panel


%prep
%setup -q -n %{oname}-%{version}


%build
%cmake_kde4
%make

%install
rm -fr %buildroot
cd build
%{makeinstall_std}
cd -


%files
%defattr(-,root,root)

%{_libdir}/kde4/plasma_applet_miniplayer.so
%{_kde_datadir}/kde4/services/plasma-applet-miniplayer.desktop
%{_kde_datadir}/locale/*


%clean
rm -rf "%{buildroot}"


%changelog
* Sun Nov 10 2013 bb <bb>
- update for new kde

